# $Revision: 1.14 $, $Date: 2005/05/16 11:37:27 $
Summary:	KMol - a molecular weight and elemental composition calculator
Summary(pl):	KMol - kalkulator do liczenia wagi czstek i zwizkw
Name:		kmol
Version:	0.3.3
Release:	2
License:	GPL v2+
Group:		X11/Applications/Science
Source0:	http://www.idiom.com/~tomi/%{name}-%{version}.tar.bz2
# Source0-md5:	7efb66b84e5424b959549703aa61cca0
Source1:        http://ep09.pld-linux.org/~djurban/kde/kde-common-admin.tar.bz2
# Source1-md5:	81e0b2f79ef76218381270960ac0f55f
Patch0:		%{name}-desktop.patch
URL:		http://www.idiom.com/~tomi/kmol.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	libart_lgpl-devel
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	unsermake >= 040805
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KMol is a simple chemical calculator, which calculates molecular
weights and elemental composition of compounds given their chemical
formula.

KMol is designed to be able to parse any chemical formula that can be
unambiguously interpreted if written as a simple character sequence
(i.e., without subscript and superscript formating). If you can
understand a chemical formula, chances are KMol will understand it in
exactly the same way. If you can't, do you think it is KMol's fault?
KMol can deal with:

 - Unlimited number of nested subgroups:
   (CH3(C6H3)N(SiMe(CMe3)2))2Y(thf)2(CH(SiMe3)2).
 - Multicomponent compounds: K2SO4+Al2(SO4)3+24H2O.
 - Fractional coefficients: Cu3.14O2.72.
 - User-defined symbols, which override the global defaults.

%description -l pl
KMol to prosty kalkulator chemiczny, liczcy wagi czsteczek oraz
zwizkw chemicznych na podstawie ich wzorw chemicznych.

KMol zosta tak napisany, by by w stanie odczyta kady wzr
chemiczny, ktry moe by jednoznacznie zinterpretowany jeli jest
napisany przy uyciu cigu zwykych znakw (bez indeksw dolnych i
grnych). Jeli jeste w stanie zrozumie jaki wzr, s szanse, e
KMol zrozumie go tak samo. Jeli nie moesz, czy to wina KMola?
Program radzi sobie z:
 - nieograniczon liczb zagniedonych podgrup:
   (CH3(C6H3)N(SiMe(CMe3)2))2Y(thf)2(CH(SiMe3)2)
 - zwizkami wieloskadnikowymi: K2SO4+Al2(SO4)3+24H2O
 - wspczynnikami uamkowymi: Cu3.14O2.72
 - symbolami zdefiniowanymi przez uytkownika, przykrywajcymi
   domylne ich znaczenie.

%prep
%setup -q -a1
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub admin
export UNSERMAKE=/usr/share/unsermake/unsermake

%{__make} -f admin/Makefile.common cvs

%configure \
	--with-qt-libraries=%{_libdir}

%{__make} 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_libs_htmldir=%{_kdedocdir} \
	kde_htmldir=%{_kdedocdir}


mv -f $RPM_BUILD_ROOT{%{_datadir}/applnk/Applications,%{_desktopdir}}/kmol.desktop
%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/apps/kmol
%{_desktopdir}/kmol.desktop
%{_iconsdir}/*/*/apps/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kmol.spec,v $
Revision 1.14  2005/05/16 11:37:27  ankry
- added desktop patch, rel. 2

Revision 1.13  2005/05/15 16:57:05  darekr
- _kdedocdir needs macros 1.129

Revision 1.12  2004/12/25 17:55:31  qboosh
- cleanups

Revision 1.11  2004/09/01 16:34:33  djurban
- updated to a kde 3 version (0.3.3) and made it look as it should in PLD

Revision 1.10  2003/07/01 14:14:00  qboosh
- removed INSTALL from doc (generic), fixed build, release 1

Revision 1.9  2003/05/28 12:59:21  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 05:49:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/02/28 10:08:00  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.6  2003/01/18 22:52:01  juandon
- removed two lines with define

Revision 1.5  2002/10/09 13:14:36  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.4  2002/05/25 16:59:00  qboosh
- new %%doc, pl description (may require fixes)

Revision 1.3  2002/05/21 23:13:41  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.2  2002/05/11 20:49:49  blues
- changed group to X11/Applications/Science

Revision 1.1  2002/05/11 20:34:23  blues
- initial release
- does not build - qt suxx
chemical calculator
